Bug 446165 - FEAT: hwcert should prompt out a notification once a duplicate cert creation was found
FEAT: hwcert should prompt out a notification once a duplicate cert creation ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
All Linux
low Severity low
: ---
: ---
Assigned To: Wei Shen
Yu Shao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 02:32 EDT by YangKun
Modified: 2014-06-22 21:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-22 05:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix patch (3.22 KB, patch)
2008-12-01 05:08 EST, sfu@redhat.com
no flags Details | Diff
The file added to show the notification. (1.47 KB, application/octet-stream)
2008-12-01 05:10 EST, sfu@redhat.com
no flags Details

  None (edit)
Description YangKun 2008-05-13 02:32:09 EDT
add a check to the cert creation process:* when someone
    creates a new cert, after he provided the "vendor" and "model"
    and "rhel_version" fields(either input manually or catalog
    extracts out from the result rpm), catalog will search in our
    database using these three items, then:

if (find_an_existing_cert_for_the_same_machine_against_the_same_version_of_rhel)
    catalog_prompts_out_a_notification_asking_if_choose_to_continue
        if (choose_to_continue)
            the_new_cert_is_created
        else
            abort_to_create_the_new_cert
else
    the_new_cert_is_created
Comment 1 sfu@redhat.com 2008-12-01 05:08:14 EST
Created attachment 325199 [details]
fix patch

 1. After the vendor submits the creating_cert info, find whether having an  existing cert with the same make,model,platform and verison, if has, prompt 
out a notification cert.
Comment 2 sfu@redhat.com 2008-12-01 05:10:00 EST
Created attachment 325200 [details]
The file added to show the notification.
Comment 3 sfu@redhat.com 2008-12-01 05:10:20 EST
Test link which patch was applied is 

http://bugdev.devel.redhat.com/hwcert-xisun10/

Please review.
Comment 8 YangKun 2009-04-19 22:40:02 EDT
so how should we get this feature implemented ? 

from reviewer's point of view. we wish the catalog can do some checks for us. 

we really want this be implemented soon :-)

Thanks
-YK

Note You need to log in before you can comment on or make changes to this bug.